<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head profile="http://selenium-ide.openqa.org/profiles/test-case">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>New Test</title>
</head>
<body>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">New Test</td></tr>
</thead><tbody>
<tr>
	<td>open</td>
	<td>/tarapaca/departamentos_piezas/departamento_tarapaca_6000667.htm?ca=2_s&amp;oa=6000667</td>
	<td></td>
</tr>
<tr>
	<td>verifyTextPresent</td>
	<td>Subir</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>id=bump_link</td>
	<td></td>
</tr>
<tr>
	<td>verifyTextPresent</td>
	<td>Subir por $1000</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=Pagar con WebPay</td>
	<td></td>
</tr>
<tr>
	<td>storeValue</td>
	<td>name=TBK_MONTO</td>
	<td>tbk_price</td>
</tr>
<tr>
	<td>storeValue</td>
	<td>name=TBK_ORDEN_COMPRA</td>
	<td>tbk_purchase_order</td>
</tr>
<tr>
	<td>storeValue</td>
	<td>name=TBK_ID_SESION</td>
	<td>tbk_session_id</td>
</tr>
<tr>
	<td>echo</td>
	<td>${tbk_price}</td>
	<td></td>
</tr>
<tr>
	<td>echo</td>
	<td>${tbk_purchase_order}</td>
	<td></td>
</tr>
<tr>
	<td>echo</td>
	<td>${tbk_session_id}</td>
	<td></td>
</tr>
<tr>
	<td>runScript</td>
	<td>function post_to_url() { method = 'post'; path = '/pagos/xt_comprar/0'; params = new Array(); params[&quot;TBK_ID_SESION&quot;] = '${tbk_session_id}'; var form = document.createElement(&quot;form&quot;); form.setAttribute(&quot;method&quot;, method); form.setAttribute(&quot;action&quot;, path); for(var key in params) { if(params.hasOwnProperty(key)) { var hiddenField = document.createElement(&quot;input&quot;); hiddenField.setAttribute(&quot;type&quot;, &quot;hidden&quot;); hiddenField.setAttribute(&quot;name&quot;, key); hiddenField.setAttribute(&quot;value&quot;, params[key]); form.appendChild(hiddenField); } } document.body.appendChild(form); form.submit();}post_to_url();</td>
	<td>foo</td>
</tr>
<tr>
	<td>waitForTextPresent</td>
	<td>RECHAZADO</td>
	<td></td>
</tr>
<tr>
	<td>open</td>
	<td>/selenium-core/bCmd.php?transaction=true&cmd=cmd:tbk_get_state%0Acommit:1%0atbk_session_id:${tbk_session_id}%0Aend%0a</td>
	<td></td>
</tr>
<tr>
	<td>waitForTextPresent</td>
	<td>o_tbk_state:init</td>
	<td></td>
</tr>

</tbody></table>
</body>
</html>
